aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x[-rw-r--r--]buildroot-helper.sh0
-rwxr-xr-x[-rw-r--r--]dyndns.sh0
-rwxr-xr-x[-rw-r--r--]firmware_uevent.sh0
-rwxr-xr-x[-rw-r--r--]iptables-simple.sh0
-rwxr-xr-x[-rw-r--r--]powersaver.sh0
-rwxr-xr-x[-rw-r--r--]speedport-status.sh0
-rwxr-xr-x[-rw-r--r--]temperature.sh0
-rwxr-xr-x[-rw-r--r--]vicron.sh0
-rwxr-xr-x[-rw-r--r--]vzupdate.sh0
-rwxr-xr-xx11vnc_default.sh48
10 files changed, 48 insertions, 0 deletions
diff --git a/buildroot-helper.sh b/buildroot-helper.sh
index ddbb63a..ddbb63a 100644..100755
--- a/buildroot-helper.sh
+++ b/buildroot-helper.sh
diff --git a/dyndns.sh b/dyndns.sh
index 0221a5d..0221a5d 100644..100755
--- a/dyndns.sh
+++ b/dyndns.sh
diff --git a/firmware_uevent.sh b/firmware_uevent.sh
index 60bb187..60bb187 100644..100755
--- a/firmware_uevent.sh
+++ b/firmware_uevent.sh
diff --git a/iptables-simple.sh b/iptables-simple.sh
index 642b3ed..642b3ed 100644..100755
--- a/iptables-simple.sh
+++ b/iptables-simple.sh
diff --git a/powersaver.sh b/powersaver.sh
index f25ee0c..f25ee0c 100644..100755
--- a/powersaver.sh
+++ b/powersaver.sh
diff --git a/speedport-status.sh b/speedport-status.sh
index 4f91e33..4f91e33 100644..100755
--- a/speedport-status.sh
+++ b/speedport-status.sh
diff --git a/temperature.sh b/temperature.sh
index 1ce8ca8..1ce8ca8 100644..100755
--- a/temperature.sh
+++ b/temperature.sh
diff --git a/vicron.sh b/vicron.sh
index ffbb371..ffbb371 100644..100755
--- a/vicron.sh
+++ b/vicron.sh
diff --git a/vzupdate.sh b/vzupdate.sh
index 2faeb85..2faeb85 100644..100755
--- a/vzupdate.sh
+++ b/vzupdate.sh
diff --git a/x11vnc_default.sh b/x11vnc_default.sh
new file mode 100755
index 0000000..3c4e74e
--- /dev/null
+++ b/x11vnc_default.sh
@@ -0,0 +1,48 @@
+#!/bin/bash
+TIMEOUT=180
+LISTEN=""
+
+xmsg() {
+if [ -x /usr/bin/zenity ]; then
+ if [ -z "$2" ]; then
+ /usr/bin/zenity --info --text "$1"
+ else
+ /usr/bin/zenity --timeout "$2" --info --text "$1"
+ fi
+else
+ if [ -z "$2" ]; then
+ /usr/bin/xmessage "$1"
+ else
+ /usr/bin/xmessage -timeout "$2" "$1"
+ fi
+fi
+}
+
+if [ -z "$DISPLAY" ]; then
+ echo "$0: \$DISPLAY is not set .." >&2
+ exit 1
+fi
+
+if [ ! -x /usr/bin/x11vnc ]; then
+ xmsg 'x11vnc is not installed!'
+ echo "$0: x11vnc is not installed!" >&2
+ exit 1
+fi
+
+if [ -f ~/.vnc_srv.lock ]; then
+ xmsg 'Bitte etwas Geduld, Hilfe naht!'
+ exit 1
+fi
+
+xhost +
+xmsg "Remotedesktop Sitzung gestartet. Innerhalb der naechsten ${TIMEOUT} Sekunden kann sich der Admin einloggen und nach dem Login den Desktop uebernehmen" ${TIMEOUT} &
+touch ~/.vnc_srv.lock
+if [ -z "$LISTEN" ]; then
+ VNC_ARGS="-localhost"
+else
+ VNC_ARGS="-listen ${LISTEN}"
+fi
+x11vnc -shared -no6 -geometry 800x600 -timeout ${TIMEOUT} -nolookup -nopw -grabptr ${VNC_ARGS}
+rm -f ~/.vnc_srv.lock
+xmsg 'Die Remotedesktop Sitzung wurde beendet. Sollte es wieder einmal brennen, einfach erneut auf "Hilfe!" klicken.' 60
+